--Manage the pathfinding nodes used by DEFCON.
--This is important for a mapping tool because the DEFCON client will not load a map unless
--the pathfinding nodes form a connected graph.
local t = {}
local bmp = require 'bmp'
local lg = assert( love.graphics )

function t.load( filename )
  local nodes = { visible = true, points = {}, connections = {}, img = bmp.load( filename ) }
  
  return setmetatable( nodes, {__index = t } )
end

function t.isConnected( nodes )
  
end

function t.draw( nodes )
  lg.points( nodes.points )
  lg.draw( nodes.img ) 
end

function t.drawConnections( nodes )
  
end

function t.save( nodes, filename )
  
end

return t